%define srcname xf86-video-intel
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-intel
Version: 2.2.1
Release: alt2.M40.2
Serial: 3
Summary: Intel integrated graphics chipsets
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.3 libdrm >= 2.4.0
Requires: xorg-x11-dri-intel xorg-x11-extensions-glx
Provides: x11-driver-intel

Source0: ftp://ftp.x.org/pub/individual/driver/%srcname-%version.tar.bz2

Patch0: xf86-video-intel-2.0.0-alt-xvmc-link.patch
Patch1: xf86-video-intel-2.2.0-alt-xaa-by-defaults-for-i8xx.patch
Patch2: xf86-video-intel-2.2.1-alt-disable-mm.patch

Patch10: xf86-video-intel-2.1.1-fix-xv-reset.patch
Patch11: xf86-video-intel-2.2.1-quirk-dvo.patch

BuildRequires: libX11-devel libXv-devel libXvMC-devel libmesa-devel libxorgconfig-devel
BuildRequires: xorg-x11-proto-devel xorg-x11-sdk >= 1.3 xorg-x11-util-macros
BuildRequires: libXdmcp-devel libXau-devel libXext-devel libdrm-devel >= 2.4.0

%description
intel  is  an  Xorg  driver  for  Intel  integrated  graphics
chipsets.  The driver supports depths 8, 15, 16  and  24.   All  visual
types are supported in depth 8.  For the i810/i815 other depths support
the TrueColor and DirectColor visuals.  For the 830M  and  later,  only
the  TrueColor  visual  is  supported  for  depths greater than 8.  The
driver supports hardware accelerated 3D via the Direct Rendering Infra-
structure  (DRI),  but only in depth 16 for the i810/i815 and depths 16
and 24 for the 830M and later.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch0 -p1
%patch1 -p1
%patch2 -p1

%patch10 -p1
%patch11 -p1

%build
%__autoreconf
%configure \
	--with-xserver-source=%_includedir/xorg \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
sed -ne '/^#def.*_BRIDGE.*/d;s|^#def.*\(PCI_CHIP_.*\)[[:space:]]*0x\([0-9A-F]*\)|alias pcivideo:v00008086d0000\2sv*sd*bc*sc*i* intel\t# \1|p' src/common.h \
	>> %buildroot%_hwdatadir/intel.xinf

rm -f %buildroot%_x11modulesdir/drivers/i810_drv.so

mkdir -p %buildroot%_altdir
cat > %buildroot%_altdir/%name <<EOF
%_x11modulesdir/drivers/i810_drv.so	%_x11modulesdir/drivers/intel_drv.so	10
EOF

%post
%register_alternatives %name
%post_ldconfig

%postun
%unregister_alternatives %name
%postun_ldconfig

%files
%_altdir/%name
%_libdir/*.so.*
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/intel*

%changelog
* Tue Apr 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt2.M40.2
- fixed build for xorg-server-1.3

* Thu Mar 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt2.M40.1
- build for branch 4.0

* Thu Mar 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt3
- XAA by defaults for i8xx only

* Tue Mar 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt2
- disable DRI memory manager
- reset XV after mode switch

* Sat Feb 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt1
- 2.2.1

* Wed Feb 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0.90-alt1
- 2.2.1 pre-release

* Fri Jan 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt5
- fix VT switch

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt4
- xf86-video-intel-2.2-branch

* Sat Dec 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt3
- removed provides/obsoletes i810
- fixed intel.xinf

* Sat Nov 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt2
- fix typo in 1920x1080 resolution entry

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt1
- 2.2.0
- drop legacy driver

* Wed Oct 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt3
- added backlight control methods patch (close #13211)

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt2
- rebuild with xorg-server-1.4

* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt1
- 2.1.1
- legacy driver version 1.6.5

* Thu Aug 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt3
- added 0x8086:0x2562 845G/GL/GE (close #12515)

* Tue Jul 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt2
- generate intel.xinf from common.h
- added 0x8086:0x5641 PCI_CHIP_I845_G (close #12423)

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt1
- 2.1.0

* Tue Jun 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt8
- fix left G33 issues
- update xinf file

* Wed Jun 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt7
- add support for the G33, Q33, and Q35 chipsets

* Thu May 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt6
- add support for the i945GME, i965GME and i965GLE chipsets

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt5
- returned old driver i810

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt4
- drop XV patches

* Wed Apr 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt3
- fixed XV on i8xx chipsets

* Tue Apr 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt2
- removed old driver i810

* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt1
- 2.0 release

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.94-alt1
- 2.0RC4

* Tue Mar 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.93-alt1
- 2.0.RC3
- update xinf

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.92-alt1
- 2.0RC2

* Thu Jan 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.4-alt1
- 1.7.4:
  + Fix bug #8536, i915 BIOS fails when restarting Xserver.

* Wed Dec 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt3
- removed modesetting driver

* Sun Dec 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt2
- added modesetting driver (intel_drv.so) for i9xx

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt1
- 1.7.3

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt4
- added xf86-video-intel-1.7.2-git-DRM-memory-manager,
	xf86-video-intel-1.7.2-git-Xv-hang-G965.patch,
	xf86-video-i810-setcursorposition.diff,
	xf86-video-i810-update-port-attributes.diff,
	xf86-video-i810-video-debug.diff
- added RH patches:
	xf86-video-intel-1.7.2-rh-i810-match-server-sync-ranges.patch

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt3
- rollback to 1.7.2 release
- added videoaliases file from RH

* Thu Nov 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt2
- GIT snapshot 2006-11-08

* Fri Oct 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt1
- 1.7.2:
  + suspend/resume regression from 1.5 driver

* Mon Oct 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.0-alt1
- 1.7.0

* Tue Aug 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1.git20060829
- GIT snapshot 2006-08-29

* Fri Aug 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1
- 1.6.5

* Tue Aug 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.3-alt1
- 1.6.3

* Wed Jul 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.1-alt1
- 1.6.1

* Sun Jun 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt3
- fix VT switch DRI locking

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt2
- requires xorg-x11-server >= 1.0.99.901

* Thu Apr 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt1
- 1.6.0

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.4.1.3-alt1
- rollback 1.4.1.3

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.5.2.0-alt1
- 1.5.2.0 (requires xorg-x11-server >= 1.0.1-alt14)

* Fri Feb 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.4.1.3-alt1
- rollback 1.4.1.3 (1.5.0.0 problematic)

* Tue Jan 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.0.0-alt1
- 1.5.0.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt2
- removed files spectre (%%ghost %%_libdir/*.so)

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt0.1
- initial release

